import os
import requests
from dotenv import load_dotenv

load_dotenv()

TOKEN = os.getenv("GITEA_TOKEN_WRITE")
headers = {
    "Authorization": f"token {TOKEN}",
    "Content-Type": "application/json"
}

repo_data = {
    "name": "my-new-repo",
    "description": "Создано через API Gitea",
    "private": False,
    "auto_init": True
}

response = requests.post("https://git.vyatsu.ru/api/v1/user/repos", headers=headers, json=repo_data)

print(response.status_code)
print(response.json())
