import os
import requests
from dotenv import load_dotenv

# Загрузка переменных окружения из .env
load_dotenv()

# Получение токена из переменной окружения
TOKEN = os.getenv("GITEA_TOKEN")

# Заголовок авторизации
headers = {"Authorization": f"token {TOKEN}"}

# Запрос информации о пользователе
response = requests.get("https://git.vyatsu.ru/api/v1/user", headers=headers)

# Вывод результата
print(response.json())
